App::Yath::Options::Logging(3pm)

NAME
App::Yath::Options::Logging - Logging options for yath

DESCRIPTION
This is where the command line options for logging are defined.

PROVIDED OPTIONS

  COMMAND OPTIONS
Logging Options

--bzip2
--bz2
--bzip2_log
-B
--no-bzip2
    Use bzip2 compression when writing the log. This option implies -L. The .bz2 prefix is added to log file name for you

--gzip
--gz
--gzip_log
-G
--no-gzip
    Use gzip compression when writing the log. This option implies -L. The .gz prefix is added to log file name for you

--log
-L
--no-log
    Turn on logging

--log-dir ARG
--log-dir=ARG
--no-log-dir
    Specify a log directory. Will fall back to the system temp dir.

--log-file ARG
--log-file=ARG
-F ARG
-F=ARG
--no-log-file
    Specify the name of the log file. This option implies -L.

--log-file-format ARG
--log-file-format=ARG
--lff ARG
--lff=ARG
--no-log-file-format
    Specify the format for automatically-generated log files. Overridden by --log-file, if given. This option implies -L (Default: \$YATH_LOG_FILE_FORMAT, if that is set, or else "%!P%Y-%m-%d~%H:%M:%S~%!U~%!p.jsonl"). This is a string in which percent-escape sequences will be replaced as per POSIX::strftime. The following special escape sequences are also replaced: (%!P : Project name followed by a ~, if a project is defined, otherwise empty string) (%!U : the unique test run ID) (%!p : the process ID) (%!S : the number of seconds since local midnight UTC)

    Can also be set with the following environment variables: "YATH_LOG_FILE_FORMAT", "TEST2_HARNESS_LOG_FORMAT"

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/